// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-demo-analytics-dtos.proto

package com.accelfin.server.demo.analytics.dtos;

public final class AccelfinServerDemoAnalyticsDtos {
  private AccelfinServerDemoAnalyticsDtos() {}
  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistry registry) {
  }
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_analytics_dtos_UpdateReportSubscriptionResponseAckDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_analytics_dtos_UpdateReportSubscriptionResponseAckDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_analytics_dtos_UpdateReportSubscriptionRequestDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_analytics_dtos_UpdateReportSubscriptionRequestDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_analytics_dtos_FxAlertsReportTradeDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_analytics_dtos_FxAlertsReportTradeDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_analytics_dtos_FxAlertsReportSymbolPriceDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_analytics_dtos_FxAlertsReportSymbolPriceDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_analytics_dtos_FxAlertsReportResponseDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_analytics_dtos_FxAlertsReportResponseDto_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_accelfin_server_demo_analytics_dtos_FxAlertReportUpdateRequestDto_descriptor;
  static final 
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_accelfin_server_demo_analytics_dtos_FxAlertReportUpdateRequestDto_fieldAccessorTable;

  public static com.google.protobuf.Descriptors.FileDescriptor
      getDescriptor() {
    return descriptor;
  }
  private static  com.google.protobuf.Descriptors.FileDescriptor
      descriptor;
  static {
    java.lang.String[] descriptorData = {
      "\n)accelfin-server-demo-analytics-dtos.pr" +
      "oto\022\'com.accelfin.server.demo.analytics." +
      "dtos\032\032accelfin-server-dtos.proto\"<\n&Upda" +
      "teReportSubscriptionResponseAckDto\022\022\n\nis" +
      "_success\030\001 \001(\010\"a\n\"UpdateReportSubscripti" +
      "onRequestDto\022;\n\007reports\030\001 \003(\0132*.com.acce" +
      "lfin.server.messaging.dtos.AnyDto\"\271\003\n\026Fx" +
      "AlertsReportTradeDto\022\020\n\010trade_id\030\001 \001(\t\022\025" +
      "\n\rcurrency_pair\030\002 \001(\t\022@\n\010notional\030\003 \001(\0132" +
      "..com.accelfin.server.messaging.dtos.Dec",
      "imalDto\022>\n\004side\030\004 \001(\01620.com.accelfin.ser" +
      "ver.demo.analytics.dtos.SideDto\022G\n\017norma" +
      "lised_rate\030\005 \001(\0132..com.accelfin.server.m" +
      "essaging.dtos.DecimalDto\022<\n\004rate\030\006 \001(\0132." +
      ".com.accelfin.server.messaging.dtos.Deci" +
      "malDto\022E\n\013executed_at\030\007 \001(\01320.com.accelf" +
      "in.server.messaging.dtos.TimestampDto\022\021\n" +
      "\thas_alert\030\010 \001(\010\022\023\n\013alert_codes\030\t \003(\t\"\245\002" +
      "\n\034FxAlertsReportSymbolPriceDto\022>\n\004time\030\001" +
      " \001(\01320.com.accelfin.server.messaging.dto",
      "s.TimestampDto\022\016\n\006symbol\030\002 \001(\t\022;\n\003bid\030\003 " +
      "\001(\0132..com.accelfin.server.messaging.dtos" +
      ".DecimalDto\022;\n\003ask\030\004 \001(\0132..com.accelfin." +
      "server.messaging.dtos.DecimalDto\022;\n\003mid\030" +
      "\005 \001(\0132..com.accelfin.server.messaging.dt" +
      "os.DecimalDto\"\231\003\n\031FxAlertsReportResponse" +
      "Dto\022\021\n\treport_id\030\001 \001(\t\022K\n\013report_type\030\002 " +
      "\001(\01626.com.accelfin.server.demo.analytics" +
      ".dtos.ReportTypeDto\022`\n\021range_view_prices" +
      "\030\003 \003(\0132E.com.accelfin.server.demo.analyt",
      "ics.dtos.FxAlertsReportSymbolPriceDto\022_\n" +
      "\020main_view_prices\030\004 \003(\0132E.com.accelfin.s" +
      "erver.demo.analytics.dtos.FxAlertsReport" +
      "SymbolPriceDto\022Y\n\020main_view_trades\030\005 \003(\013" +
      "2?.com.accelfin.server.demo.analytics.dt" +
      "os.FxAlertsReportTradeDto\"\272\003\n\035FxAlertRep" +
      "ortUpdateRequestDto\022\021\n\treport_id\030\001 \001(\t\022K" +
      "\n\013report_type\030\002 \001(\01626.com.accelfin.serve" +
      "r.demo.analytics.dtos.ReportTypeDto\022\017\n\007s" +
      "ymbols\030\003 \003(\t\022J\n\020range_view_start\030\004 \001(\01320",
      ".com.accelfin.server.messaging.dtos.Time" +
      "stampDto\022H\n\016range_view_end\030\005 \001(\01320.com.a" +
      "ccelfin.server.messaging.dtos.TimestampD" +
      "to\022I\n\017main_view_start\030\006 \001(\01320.com.accelf" +
      "in.server.messaging.dtos.TimestampDto\022G\n" +
      "\rmain_view_end\030\007 \001(\01320.com.accelfin.serv" +
      "er.messaging.dtos.TimestampDto*\036\n\rReport" +
      "TypeDto\022\r\n\tFX_ALERTS\020\000*\034\n\007SideDto\022\007\n\003BUY" +
      "\020\000\022\010\n\004SELL\020\001B+\n\'com.accelfin.server.demo" +
      ".analytics.dtosP\001b\006proto3"
    };
    com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner assigner =
        new com.google.protobuf.Descriptors.FileDescriptor.    InternalDescriptorAssigner() {
          public com.google.protobuf.ExtensionRegistry assignDescriptors(
              com.google.protobuf.Descriptors.FileDescriptor root) {
            descriptor = root;
            return null;
          }
        };
    com.google.protobuf.Descriptors.FileDescriptor
      .internalBuildGeneratedFileFrom(descriptorData,
        new com.google.protobuf.Descriptors.FileDescriptor[] {
          com.accelfin.server.messaging.dtos.AccelfinServerDtos.getDescriptor(),
        }, assigner);
    internal_static_com_accelfin_server_demo_analytics_dtos_UpdateReportSubscriptionResponseAckDto_descriptor =
      getDescriptor().getMessageTypes().get(0);
    internal_static_com_accelfin_server_demo_analytics_dtos_UpdateReportSubscriptionResponseAckDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_analytics_dtos_UpdateReportSubscriptionResponseAckDto_descriptor,
        new java.lang.String[] { "IsSuccess", });
    internal_static_com_accelfin_server_demo_analytics_dtos_UpdateReportSubscriptionRequestDto_descriptor =
      getDescriptor().getMessageTypes().get(1);
    internal_static_com_accelfin_server_demo_analytics_dtos_UpdateReportSubscriptionRequestDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_analytics_dtos_UpdateReportSubscriptionRequestDto_descriptor,
        new java.lang.String[] { "Reports", });
    internal_static_com_accelfin_server_demo_analytics_dtos_FxAlertsReportTradeDto_descriptor =
      getDescriptor().getMessageTypes().get(2);
    internal_static_com_accelfin_server_demo_analytics_dtos_FxAlertsReportTradeDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_analytics_dtos_FxAlertsReportTradeDto_descriptor,
        new java.lang.String[] { "TradeId", "CurrencyPair", "Notional", "Side", "NormalisedRate", "Rate", "ExecutedAt", "HasAlert", "AlertCodes", });
    internal_static_com_accelfin_server_demo_analytics_dtos_FxAlertsReportSymbolPriceDto_descriptor =
      getDescriptor().getMessageTypes().get(3);
    internal_static_com_accelfin_server_demo_analytics_dtos_FxAlertsReportSymbolPriceDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_analytics_dtos_FxAlertsReportSymbolPriceDto_descriptor,
        new java.lang.String[] { "Time", "Symbol", "Bid", "Ask", "Mid", });
    internal_static_com_accelfin_server_demo_analytics_dtos_FxAlertsReportResponseDto_descriptor =
      getDescriptor().getMessageTypes().get(4);
    internal_static_com_accelfin_server_demo_analytics_dtos_FxAlertsReportResponseDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_analytics_dtos_FxAlertsReportResponseDto_descriptor,
        new java.lang.String[] { "ReportId", "ReportType", "RangeViewPrices", "MainViewPrices", "MainViewTrades", });
    internal_static_com_accelfin_server_demo_analytics_dtos_FxAlertReportUpdateRequestDto_descriptor =
      getDescriptor().getMessageTypes().get(5);
    internal_static_com_accelfin_server_demo_analytics_dtos_FxAlertReportUpdateRequestDto_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessage.FieldAccessorTable(
        internal_static_com_accelfin_server_demo_analytics_dtos_FxAlertReportUpdateRequestDto_descriptor,
        new java.lang.String[] { "ReportId", "ReportType", "Symbols", "RangeViewStart", "RangeViewEnd", "MainViewStart", "MainViewEnd", });
    com.accelfin.server.messaging.dtos.AccelfinServerDtos.getDescriptor();
  }

  // @@protoc_insertion_point(outer_class_scope)
}
